%define name	sfftobmp
%define version	3.0
%define release	1mdk

%define sver	3_0


# spec file for package sfftobmp (Version 2.2  )
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

Summary:	Tool to transform SFF files to BMP
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Communications
URL:		http://sfftools.sourceforge.net/
Source0:	%{name}_%{sver}.tar.bz2
Patch0:		sfftobmp-3.0-errno.diff.bz2
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	boost-devel
BuildRequires:	libtiff-devel
BuildRequires:	jpeg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
SffToBmp is a converter tool, written in C++, to transform SFF files to BMP,
JPEG or multipage TIFF format.
In addition generation of PBM files (Portable Bitmap) is also possible which
can be transformed into nearby any other graphics format using the PBMPLUS
tools that are included in almost every Linux distribution nowadays.

%prep

%setup -q -n %{name}_%{sver}
%patch0 -p0

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force && aclocal-1.7 && autoconf --force && autoheader

%configure2_5x

%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*
%{_bindir}/%{name}

%changelog
* Wed Dec 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0-1mdk
- 3.0
- fix deps and spec file
- added a different P0

* Mon Apr 29 2004 Steffen Barszus <st_barszus@gmx.de> 2.2-1mdk
- initial rpm for mandrake

* Tue Feb 04 2003 - ghillie@suse.de
- updated to 2.2 (includes writing TIFFs to stdout now)
- removed sfftobmp-stdout.diff as it has been included by upstream
  maintainer
* Mon Dec 16 2002 - gernot@hillier.de
- first package
